package com.jasamedika.medifirst2000.entities;

import java.util.Date;

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.JoinColumn;
import javax.persistence.ManyToOne;
import javax.persistence.Table;

import com.jasamedika.medifirst2000.base.BaseMaster;
import com.jasamedika.medifirst2000.base.BaseTransaction;
import com.jasamedika.medifirst2000.helper.Caption;

@Entity
@Table(name = "PegawaiHistoriPekerjaan_T")
public class PegawaiHistoriPekerjaan extends BaseTransaction{
	@ManyToOne
	@JoinColumn(name = "pegawaiFk")
	@Caption(value="pegawaiFk")
	private Pegawai pegawai;

	@Column(name = "pegawaiFk", insertable=false,updatable=false,nullable=false)
	private Integer pegawaiId;

	@ManyToOne
	@JoinColumn(name = "strukHistoriFk")
	@Caption(value="strukHistoriFk")
	private StrukHistori strukHistori;

	@Column(name = "strukHistoriFk", insertable=false,updatable=false,nullable=false)
	private String strukHistoriId;
	
	@Column(name = "instansiPerusahaan", nullable = false)
	@Caption(value = "instansiPerusahaan")
	private String instansiPerusahaan;

	@Column(name = "alamatInstansiPerusahaan", nullable = true)
	@Caption(value = "alamatInstansiPerusahaan")
	private String alamatInstansiPerusahaan;

	@Column(name = "teleponInstansiPerusahaan", nullable = true)
	@Caption(value = "teleponInstansiPerusahaan")
	private String teleponInstansiPerusahaan;

	@Column(name = "namaPegawaiReference", nullable = true)
	@Caption(value = "namaPegawaiReference")
	private String namaPegawaiReference;

	@Column(name = "jabatanPegawaiReference", nullable = true)
	@Caption(value = "jabatanPegawaiReference")
	private String jabatanPegawaiReference;

	@Column(name = "departemenUnitBagian", nullable = true)
	@Caption(value = "departemenUnitBagian")
	private String departemenUnitBagian;

	@Column(name = "jabatanStruktural", nullable = true)
	@Caption(value = "jabatanStruktural")
	private String jabatanStruktural;

	@Column(name = "jabatanFungsional", nullable = true)
	@Caption(value = "jabatanFungsional")
	private String jabatanFungsional;

	@Column(name = "deskripsiPekerjaan", nullable = true)
	@Caption(value = "deskripsiPekerjaan")
	private String deskripsiPekerjaan;

	@Column(name = "gajiTotalPerBulan", nullable = true)
	@Caption(value = "gajiTotalPerBulan")
	private Double gajiTotalPerBulan;

	@Column(name = "bonusTotalPerTahun", nullable = true)
	@Caption(value = "bonusTotalPerTahun")
	private Double bonusTotalPerTahun;

	@Column(name = "totalSalesPeriodeKerja", nullable = true)
	@Caption(value = "totalSalesPeriodeKerja")
	private Double totalSalesPeriodeKerja;

	@Column(name = "tglMasuk", nullable = true)
	@Caption(value = "tglMasuk")
	private Date tglMasuk;

	@Column(name = "tglKeluar", nullable = true)
	@Caption(value = "tglKeluar")
	private Date tglKeluar;

	@Column(name = "alasanKeteranganKeluar", nullable = true)
	@Caption(value = "alasanKeteranganKeluar")
	private String alasanKeteranganKeluar;

	@Column(name = "noSk", nullable = true)
	@Caption(value = "noSk")
	private String noSk;

	@Column(name = "tglSk", nullable = true)
	@Caption(value = "tglSk")
	private Date tglSk;

	@Column(name = "namaPegawaiTtsk", nullable = true)
	@Caption(value = "namaPegawaiTtsk")
	private String namaPegawaiTtsk;

	@Column(name = "keteranganLainnya", nullable = true)
	@Caption(value = "keteranganLainnya")
	private String keteranganLainnya;

	public Pegawai getPegawai() {
		return pegawai;
	}

	public void setPegawai(Pegawai pegawai) {
		this.pegawai = pegawai;
	}

	public Integer getPegawaiId() {
		return pegawaiId;
	}

	public void setPegawaiId(Integer pegawaiId) {
		this.pegawaiId = pegawaiId;
	}

	public StrukHistori getStrukHistori() {
		return strukHistori;
	}

	public void setStrukHistori(StrukHistori strukHistori) {
		this.strukHistori = strukHistori;
	}

	public String getStrukHistoriId() {
		return strukHistoriId;
	}

	public void setStrukHistoriId(String strukHistoriId) {
		this.strukHistoriId = strukHistoriId;
	}

	public String getInstansiPerusahaan() {
		return instansiPerusahaan;
	}

	public void setInstansiPerusahaan(String instansiPerusahaan) {
		this.instansiPerusahaan = instansiPerusahaan;
	}

	public String getAlamatInstansiPerusahaan() {
		return alamatInstansiPerusahaan;
	}

	public void setAlamatInstansiPerusahaan(String alamatInstansiPerusahaan) {
		this.alamatInstansiPerusahaan = alamatInstansiPerusahaan;
	}

	public String getTeleponInstansiPerusahaan() {
		return teleponInstansiPerusahaan;
	}

	public void setTeleponInstansiPerusahaan(String teleponInstansiPerusahaan) {
		this.teleponInstansiPerusahaan = teleponInstansiPerusahaan;
	}

	public String getNamaPegawaiReference() {
		return namaPegawaiReference;
	}

	public void setNamaPegawaiReference(String namaPegawaiReference) {
		this.namaPegawaiReference = namaPegawaiReference;
	}

	public String getJabatanPegawaiReference() {
		return jabatanPegawaiReference;
	}

	public void setJabatanPegawaiReference(String jabatanPegawaiReference) {
		this.jabatanPegawaiReference = jabatanPegawaiReference;
	}

	public String getJabatanStruktural() {
		return jabatanStruktural;
	}

	public void setJabatanStruktural(String jabatanStruktural) {
		this.jabatanStruktural = jabatanStruktural;
	}

	public String getJabatanFungsional() {
		return jabatanFungsional;
	}

	public void setJabatanFungsional(String jabatanFungsional) {
		this.jabatanFungsional = jabatanFungsional;
	}

	public String getDeskripsiPekerjaan() {
		return deskripsiPekerjaan;
	}

	public void setDeskripsiPekerjaan(String deskripsiPekerjaan) {
		this.deskripsiPekerjaan = deskripsiPekerjaan;
	}

	public Double getGajiTotalPerBulan() {
		return gajiTotalPerBulan;
	}

	public void setGajiTotalPerBulan(Double gajiTotalPerBulan) {
		this.gajiTotalPerBulan = gajiTotalPerBulan;
	}

	public Double getBonusTotalPerTahun() {
		return bonusTotalPerTahun;
	}

	public void setBonusTotalPerTahun(Double bonusTotalPerTahun) {
		this.bonusTotalPerTahun = bonusTotalPerTahun;
	}

	public Double getTotalSalesPeriodeKerja() {
		return totalSalesPeriodeKerja;
	}

	public void setTotalSalesPeriodeKerja(Double totalSalesPeriodeKerja) {
		this.totalSalesPeriodeKerja = totalSalesPeriodeKerja;
	}

	public Date getTglMasuk() {
		return tglMasuk;
	}

	public void setTglMasuk(Date tglMasuk) {
		this.tglMasuk = tglMasuk;
	}

	public Date getTglKeluar() {
		return tglKeluar;
	}

	public void setTglKeluar(Date tglKeluar) {
		this.tglKeluar = tglKeluar;
	}

	public String getAlasanKeteranganKeluar() {
		return alasanKeteranganKeluar;
	}

	public void setAlasanKeteranganKeluar(String alasanKeteranganKeluar) {
		this.alasanKeteranganKeluar = alasanKeteranganKeluar;
	}

	public String getNoSk() {
		return noSk;
	}

	public void setNoSk(String noSk) {
		this.noSk = noSk;
	}

	public Date getTglSk() {
		return tglSk;
	}

	public void setTglSk(Date tglSk) {
		this.tglSk = tglSk;
	}

	public String getNamaPegawaiTtsk() {
		return namaPegawaiTtsk;
	}

	public void setNamaPegawaiTtsk(String namaPegawaiTtsk) {
		this.namaPegawaiTtsk = namaPegawaiTtsk;
	}

	public String getKeteranganLainnya() {
		return keteranganLainnya;
	}

	public void setKeteranganLainnya(String keteranganLainnya) {
		this.keteranganLainnya = keteranganLainnya;
	}

	public String getDepartemenUnitBagian() {
		return departemenUnitBagian;
	}

	public void setDepartemenUnitBagian(String departemenUnitBagian) {
		this.departemenUnitBagian = departemenUnitBagian;
	}

}
